CREATE TABLE IF NOT EXISTS static_segment
(
    id            UUID PRIMARY KEY,
    analysis_id   UUID         NOT NULL REFERENCES static_analysis (id) ON DELETE CASCADE,
    name          VARCHAR(100) NOT NULL,
    start_address VARCHAR(20)  NOT NULL,
    end_address   VARCHAR(20)  NOT NULL
);

CREATE INDEX IF NOT EXISTS idx_static_segment_analysis_id ON static_segment (analysis_id);
